pfsinrgbe(1)

NAME
pfsinrgbe - Load images or frames in Radiance RGBE format

SYNOPSIS
pfsinrgbe [--linear] (<file> [--frames <range>] [--skip-missing]) [<file>...]

DESCRIPTION
pfsinrgbe command loads images in Radiance RGBE format and writes pfs stream to the Standard Output. The pfs stream is usually piped to another program for further processing. To detect the format automatically based on the extension, use pfsin command.

Since RGBE is an HDR format, 'LUMINANCE' tag is set to 'RELATIVE' (relative linear luminance values).

To read images from standard input use a single dash '-' instead of filename. The images are read until EOF is reached.

Each file can contain a %d pattern, which is substituted with frame numbers. The pattern has the same syntax as C printf command. For example, you can use %04d to make the frame number four digit with proceedings zeros. You can select the frames using the following options (the options must be always given after the file name):

--frames <range>
    Range is given in mathlab / octave format:

    startframe:step:endframe

    Frame numbers start with startframe (default 0), are increased by step (default 1) and stop at endframe You can skip one of those values, for example 1:100 for frames 1,2,...,100 and 0:2: for frame 0,2,4,... up to the last file that exists.

--skip-missing
    Skip up to ten frames in a row if corresponding files are missing. Otherwise the program stops reading sequence at the first file that does not exists. This switch does not apply to the first frame in a sequence. This switch can be useful if there is a rendered animation where some of the frame has not been generated.

--linear
    Ignored for compatibility with pfsinppm.

EXAMPLES

pfsinrgbe intro%d.hdr frame%d.hdr | ...

    Concatenate two animations into one and pass it to pipe for further processing.

IMPORTANT NOTE

There is an incompatibility between viewers of RGBE format in terms of absolute luminance values. The ximage viewer from Radiance package expects radiance values in RGBE files and uses the WHITE_EFFICACY constant equal to 179.0f to convert from radiance to luminance. This in practice means that the values displayed with pfsview maybe higher than expected. To compensate for this incompatibility we suggest to use pfsabsolute command:

pfsinrgbe measured_luminance.hdr | pfsabsolute 1 179 | pfsview

This is not necessary when RGBE files are saved using pfsoutrgbe, Radiance package, mkhdr or Photospheare. This is also not relevant when only relative absolute values are considered.

BUGS
Please report bugs and comments on implementation to the discussion group http://groups.google.com/group/pfstools

SEE ALSO
pfsin(1), pfsout(1)